<?php
$tdatasalary_advance = array();
$tdatasalary_advance[".searchableFields"] = array();
$tdatasalary_advance[".ShortName"] = "salary_advance";
$tdatasalary_advance[".OwnerID"] = "";
$tdatasalary_advance[".OriginalTable"] = "salary_advance";


$tdatasalary_advance[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatasalary_advance[".originalPagesByType"] = $tdatasalary_advance[".pagesByType"];
$tdatasalary_advance[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatasalary_advance[".originalPages"] = $tdatasalary_advance[".pages"];
$tdatasalary_advance[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatasalary_advance[".originalDefaultPages"] = $tdatasalary_advance[".defaultPages"];

//	field labels
$fieldLabelssalary_advance = array();
$fieldToolTipssalary_advance = array();
$pageTitlessalary_advance = array();
$placeHolderssalary_advance = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelssalary_advance["English"] = array();
	$fieldToolTipssalary_advance["English"] = array();
	$placeHolderssalary_advance["English"] = array();
	$pageTitlessalary_advance["English"] = array();
	$fieldLabelssalary_advance["English"]["ID0"] = "ID0";
	$fieldToolTipssalary_advance["English"]["ID0"] = "";
	$placeHolderssalary_advance["English"]["ID0"] = "";
	$fieldLabelssalary_advance["English"]["emp_id"] = "Emp Id";
	$fieldToolTipssalary_advance["English"]["emp_id"] = "";
	$placeHolderssalary_advance["English"]["emp_id"] = "";
	$fieldLabelssalary_advance["English"]["date"] = "Date";
	$fieldToolTipssalary_advance["English"]["date"] = "";
	$placeHolderssalary_advance["English"]["date"] = "";
	$fieldLabelssalary_advance["English"]["month"] = "Month";
	$fieldToolTipssalary_advance["English"]["month"] = "";
	$placeHolderssalary_advance["English"]["month"] = "";
	$fieldLabelssalary_advance["English"]["amount"] = "Amount";
	$fieldToolTipssalary_advance["English"]["amount"] = "";
	$placeHolderssalary_advance["English"]["amount"] = "";
	$fieldLabelssalary_advance["English"]["user"] = "User";
	$fieldToolTipssalary_advance["English"]["user"] = "";
	$placeHolderssalary_advance["English"]["user"] = "";
	$fieldLabelssalary_advance["English"]["salary_v_link"] = "Salary V Link";
	$fieldToolTipssalary_advance["English"]["salary_v_link"] = "";
	$placeHolderssalary_advance["English"]["salary_v_link"] = "";
	$fieldLabelssalary_advance["English"]["out_let"] = "Out Let";
	$fieldToolTipssalary_advance["English"]["out_let"] = "";
	$placeHolderssalary_advance["English"]["out_let"] = "";
	if (count($fieldToolTipssalary_advance["English"]))
		$tdatasalary_advance[".isUseToolTips"] = true;
}


	$tdatasalary_advance[".NCSearch"] = true;



$tdatasalary_advance[".shortTableName"] = "salary_advance";
$tdatasalary_advance[".nSecOptions"] = 0;

$tdatasalary_advance[".mainTableOwnerID"] = "";
$tdatasalary_advance[".entityType"] = 0;
$tdatasalary_advance[".connId"] = "test2_at_localhost";


$tdatasalary_advance[".strOriginalTableName"] = "salary_advance";

	



$tdatasalary_advance[".showAddInPopup"] = false;

$tdatasalary_advance[".showEditInPopup"] = false;

$tdatasalary_advance[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatasalary_advance[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatasalary_advance[".listAjax"] = false;
//	temporary
$tdatasalary_advance[".listAjax"] = false;

	$tdatasalary_advance[".audit"] = true;

	$tdatasalary_advance[".locking"] = false;


$pages = $tdatasalary_advance[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasalary_advance[".edit"] = true;
	$tdatasalary_advance[".afterEditAction"] = 1;
	$tdatasalary_advance[".closePopupAfterEdit"] = 1;
	$tdatasalary_advance[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatasalary_advance[".add"] = true;
$tdatasalary_advance[".afterAddAction"] = 1;
$tdatasalary_advance[".closePopupAfterAdd"] = 1;
$tdatasalary_advance[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatasalary_advance[".list"] = true;
}



$tdatasalary_advance[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasalary_advance[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasalary_advance[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasalary_advance[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasalary_advance[".printFriendly"] = true;
}



$tdatasalary_advance[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasalary_advance[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasalary_advance[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasalary_advance[".isUseAjaxSuggest"] = true;

$tdatasalary_advance[".rowHighlite"] = true;



																																																																																																						

$tdatasalary_advance[".ajaxCodeSnippetAdded"] = false;

$tdatasalary_advance[".buttonsAdded"] = false;

$tdatasalary_advance[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasalary_advance[".isUseTimeForSearch"] = false;


$tdatasalary_advance[".badgeColor"] = "778899";


$tdatasalary_advance[".allSearchFields"] = array();
$tdatasalary_advance[".filterFields"] = array();
$tdatasalary_advance[".requiredSearchFields"] = array();

$tdatasalary_advance[".googleLikeFields"] = array();
$tdatasalary_advance[".googleLikeFields"][] = "ID0";
$tdatasalary_advance[".googleLikeFields"][] = "emp_id";
$tdatasalary_advance[".googleLikeFields"][] = "date";
$tdatasalary_advance[".googleLikeFields"][] = "month";
$tdatasalary_advance[".googleLikeFields"][] = "amount";
$tdatasalary_advance[".googleLikeFields"][] = "user";
$tdatasalary_advance[".googleLikeFields"][] = "salary_v_link";
$tdatasalary_advance[".googleLikeFields"][] = "out_let";



$tdatasalary_advance[".tableType"] = "list";

$tdatasalary_advance[".printerPageOrientation"] = 0;
$tdatasalary_advance[".nPrinterPageScale"] = 100;

$tdatasalary_advance[".nPrinterSplitRecords"] = 40;

$tdatasalary_advance[".geocodingEnabled"] = false;










$tdatasalary_advance[".pageSize"] = 20;

$tdatasalary_advance[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasalary_advance[".strOrderBy"] = $tstrOrderBy;

$tdatasalary_advance[".orderindexes"] = array();


$tdatasalary_advance[".sqlHead"] = "SELECT ID0,  	emp_id,  	`date`,  	`month`,  	amount,  	`user`,  	salary_v_link,  	out_let";
$tdatasalary_advance[".sqlFrom"] = "FROM salary_advance";
$tdatasalary_advance[".sqlWhereExpr"] = "";
$tdatasalary_advance[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasalary_advance[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasalary_advance[".arrGroupsPerPage"] = $arrGPP;

$tdatasalary_advance[".highlightSearchResults"] = true;

$tableKeyssalary_advance = array();
$tableKeyssalary_advance[] = "ID0";
$tdatasalary_advance[".Keys"] = $tableKeyssalary_advance;


$tdatasalary_advance[".hideMobileList"] = array();




//	ID0
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ID0";
	$fdata["GoodName"] = "ID0";
	$fdata["ownerTable"] = "salary_advance";
	$fdata["Label"] = GetFieldLabel("salary_advance","ID0");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "ID0";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ID0";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_advance["ID0"] = $fdata;
		$tdatasalary_advance[".searchableFields"][] = "ID0";
//	emp_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "emp_id";
	$fdata["GoodName"] = "emp_id";
	$fdata["ownerTable"] = "salary_advance";
	$fdata["Label"] = GetFieldLabel("salary_advance","emp_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "emp_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "emp_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_advance["emp_id"] = $fdata;
		$tdatasalary_advance[".searchableFields"][] = "emp_id";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "salary_advance";
	$fdata["Label"] = GetFieldLabel("salary_advance","date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_advance["date"] = $fdata;
		$tdatasalary_advance[".searchableFields"][] = "date";
//	month
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "month";
	$fdata["GoodName"] = "month";
	$fdata["ownerTable"] = "salary_advance";
	$fdata["Label"] = GetFieldLabel("salary_advance","month");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "month";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`month`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_advance["month"] = $fdata;
		$tdatasalary_advance[".searchableFields"][] = "month";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "salary_advance";
	$fdata["Label"] = GetFieldLabel("salary_advance","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_advance["amount"] = $fdata;
		$tdatasalary_advance[".searchableFields"][] = "amount";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "salary_advance";
	$fdata["Label"] = GetFieldLabel("salary_advance","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_advance["user"] = $fdata;
		$tdatasalary_advance[".searchableFields"][] = "user";
//	salary_v_link
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "salary_v_link";
	$fdata["GoodName"] = "salary_v_link";
	$fdata["ownerTable"] = "salary_advance";
	$fdata["Label"] = GetFieldLabel("salary_advance","salary_v_link");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "salary_v_link";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salary_v_link";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_advance["salary_v_link"] = $fdata;
		$tdatasalary_advance[".searchableFields"][] = "salary_v_link";
//	out_let
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "out_let";
	$fdata["GoodName"] = "out_let";
	$fdata["ownerTable"] = "salary_advance";
	$fdata["Label"] = GetFieldLabel("salary_advance","out_let");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "out_let";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "out_let";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "company_profile";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "country";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_advance["out_let"] = $fdata;
		$tdatasalary_advance[".searchableFields"][] = "out_let";


$tables_data["salary_advance"]=&$tdatasalary_advance;
$field_labels["salary_advance"] = &$fieldLabelssalary_advance;
$fieldToolTips["salary_advance"] = &$fieldToolTipssalary_advance;
$placeHolders["salary_advance"] = &$placeHolderssalary_advance;
$page_titles["salary_advance"] = &$pageTitlessalary_advance;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["salary_advance"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["salary_advance"] = array();



	
				$strOriginalDetailsTable="salary_voucher";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="salary_voucher";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "salary_voucher";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["salary_advance"][0] = $masterParams;
				$masterTablesData["salary_advance"][0]["masterKeys"] = array();
	$masterTablesData["salary_advance"][0]["masterKeys"][]="id";
				$masterTablesData["salary_advance"][0]["masterKeys"][]="month";
				$masterTablesData["salary_advance"][0]["masterKeys"][]="emp_id";
				$masterTablesData["salary_advance"][0]["detailKeys"] = array();
	$masterTablesData["salary_advance"][0]["detailKeys"][]="salary_v_link";
				$masterTablesData["salary_advance"][0]["detailKeys"][]="month";
				$masterTablesData["salary_advance"][0]["detailKeys"][]="emp_id";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_salary_advance()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ID0,  	emp_id,  	`date`,  	`month`,  	amount,  	`user`,  	salary_v_link,  	out_let";
$proto0["m_strFrom"] = "FROM salary_advance";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ID0",
	"m_strTable" => "salary_advance",
	"m_srcTableName" => "salary_advance"
));

$proto6["m_sql"] = "ID0";
$proto6["m_srcTableName"] = "salary_advance";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "emp_id",
	"m_strTable" => "salary_advance",
	"m_srcTableName" => "salary_advance"
));

$proto8["m_sql"] = "emp_id";
$proto8["m_srcTableName"] = "salary_advance";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "salary_advance",
	"m_srcTableName" => "salary_advance"
));

$proto10["m_sql"] = "`date`";
$proto10["m_srcTableName"] = "salary_advance";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "month",
	"m_strTable" => "salary_advance",
	"m_srcTableName" => "salary_advance"
));

$proto12["m_sql"] = "`month`";
$proto12["m_srcTableName"] = "salary_advance";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "salary_advance",
	"m_srcTableName" => "salary_advance"
));

$proto14["m_sql"] = "amount";
$proto14["m_srcTableName"] = "salary_advance";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "salary_advance",
	"m_srcTableName" => "salary_advance"
));

$proto16["m_sql"] = "`user`";
$proto16["m_srcTableName"] = "salary_advance";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "salary_v_link",
	"m_strTable" => "salary_advance",
	"m_srcTableName" => "salary_advance"
));

$proto18["m_sql"] = "salary_v_link";
$proto18["m_srcTableName"] = "salary_advance";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "out_let",
	"m_strTable" => "salary_advance",
	"m_srcTableName" => "salary_advance"
));

$proto20["m_sql"] = "out_let";
$proto20["m_srcTableName"] = "salary_advance";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "salary_advance";
$proto23["m_srcTableName"] = "salary_advance";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "ID0";
$proto23["m_columns"][] = "emp_id";
$proto23["m_columns"][] = "date";
$proto23["m_columns"][] = "month";
$proto23["m_columns"][] = "amount";
$proto23["m_columns"][] = "user";
$proto23["m_columns"][] = "salary_v_link";
$proto23["m_columns"][] = "out_let";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "salary_advance";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "salary_advance";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="salary_advance";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_salary_advance = createSqlQuery_salary_advance();


	
		;

								

$tdatasalary_advance[".sqlquery"] = $queryData_salary_advance;



$tableEvents["salary_advance"] = new eventsBase;
$tdatasalary_advance[".hasEvents"] = false;

?>